accumulo-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Pete Carlson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ACCUMULO-916) Accumulo branch 1.4.0 from SVN won't build with maven
Date Wed, 19 Dec 2012 16:35:12 GMT

    [ https://issues.apache.org/jira/browse/ACCUMULO-916?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13536093#comment-13536093
] 

Pete Carlson commented on ACCUMULO-916:
---------------------------------------

So, one of the problems I realized was that I had grabbed the branch, instead of the tagged
version.  I checked out the tagged 1.4.0 version from https://svn.apache.org/repos/asf/accumulo/tags/1.4.0.

I also installed maven 2.2.1 so I can use external command line commands via the cmd window.
 However now I run into an issue because it is trying to run a Bash shell.  Here's the error
I get when I try to run mvn build

{noformat}
[INFO] Scanning for projects...
[INFO] Reactor build order: 
[INFO]   accumulo
[INFO]   cloudtrace
[INFO]   accumulo-start
[INFO]   accumulo-core
[INFO]   accumulo-server
[INFO]   accumulo-examples
[INFO]   examples-simple
[INFO]   accumulo-wikisearch
[INFO]   wikisearch-ingest
[INFO]   wikisearch-query
[INFO]   wikisearch-query-war
[INFO] ------------------------------------------------------------------------
[ERROR] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Invalid task 'build': you must specify a valid lifecycle phase, or a goal in the format
plugin:goal or pluginGroupId:pluginArtifactId:pluginVersion:goal
[INFO] ------------------------------------------------------------------------
[INFO] For more information, run Maven with the -e switch
[INFO] ------------------------------------------------------------------------
[INFO] Total time: < 1 second
[INFO] Finished at: Wed Dec 19 11:31:32 EST 2012
[INFO] Final Memory: 4M/60M
[INFO] ------------------------------------------------------------------------
{noformat}

And if I try mvn package I get the can't run program bash I told you about:

{noformat}
[INFO] Scanning for projects...
[INFO] Reactor build order: 
[INFO]   accumulo
[INFO]   cloudtrace
[INFO]   accumulo-start
[INFO]   accumulo-core
[INFO]   accumulo-server
[INFO]   accumulo-examples
[INFO]   examples-simple
[INFO]   accumulo-wikisearch
[INFO]   wikisearch-ingest
[INFO]   wikisearch-query
[INFO]   wikisearch-query-war
[INFO] ------------------------------------------------------------------------
[INFO] Building accumulo
[INFO]    task-segment: [package]
[INFO] ------------------------------------------------------------------------
[INFO] [enforcer:enforce {execution: enforce-mvn}]
[INFO] [remote-resources:process {execution: default}]
[INFO] [dependency:copy-dependencies {execution: copy-dependencies}]
[INFO] [exec:exec {execution: user-manual}]
[INFO] ------------------------------------------------------------------------
[ERROR] BUILD ERROR
[INFO] ------------------------------------------------------------------------
[INFO] Command execution failed.

Embedded error: Cannot run program "bash" (in directory "C:\Users\Public\eclipse_workspace\accumulo_1.4.0_tag"):
CreateProcess error=2, The system cannot find the file specified
[INFO] ------------------------------------------------------------------------
[INFO] For more information, run Maven with the -e switch
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 5 seconds
[INFO] Finished at: Wed Dec 19 11:32:20 EST 2012
[INFO] Final Memory: 43M/318M
[INFO] ------------------------------------------------------------------------
{noformat}


                
> Accumulo branch 1.4.0 from SVN won't build with maven
> -----------------------------------------------------
>
>                 Key: ACCUMULO-916
>                 URL: https://issues.apache.org/jira/browse/ACCUMULO-916
>             Project: Accumulo
>          Issue Type: Bug
>    Affects Versions: 1.4.0
>            Reporter: Pete Carlson
>
> Having problems building Accumulo branch 1.4 in Eclipse Juno using Maven.  Trying to
build code to match the examples we have in our Accumulo 1.4 install on our Amazon EC2 RHEL
6.3 64-bit instance.  
> Basically I'm trying to build the baseline Accumulo 1.4 code in Eclipse, and then tweak
one of the example Java files and upload the new Jar file to our Accumulo 1.4 instance.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message